#!/bin/sh

OUTFILE=ip2cc.mysql
URL=http://ip-to-country.webhosting.info/downloads/ip-to-country.csv.zip

if [ ! -e ip-to-country.csv ] ; then
	wget $URL
	unzip ip-to-country.csv.zip
	rm ip-to-country.csv.zip
fi

cat >$OUTFILE <<EOF
DROP TABLE IF EXISTS ip2cc;

CREATE TABLE ip2cc (
ip_from double NOT NULL default '0',
ip_to double NOT NULL default '0',
country_code char(2) NOT NULL default '',
net_name char(128)  NOT NULL default '',
as_number int(10) NOT NULL default '0',
PRIMARY KEY (ip_from,ip_to)
) TYPE=MyISAM
/*!40100 DEFAULT CHARACTER SET utf8 */ ;

EOF
cat ip-to-country.csv | awk -v RS='\r\n' -v FS=',' '{
printf("INSERT INTO ip2cc VALUES (%s,%s,%s,\"Unknown\",0);\n",$1,$2,$3);
}' >>$OUTFILE
